/**
 * 演示程序当前的 “注册/登录” 等操作，是基于 “本地存储” 完成的
 * 当您要参考这个演示程序进行相关 app 的开发时，
 * 请注意将相关方法调整成 “基于服务端Service” 的实现。
 **/
(function($, owner) {
	
	
	owner.login_appmain = function(info, callback){
			callback = callback || $.noop;
			var gourl =  api_url;
			  
			mui.getJSON(
				gourl,
				{},
				function(data){
					console.log( JSON.stringify(data) );
					
					callback(data);
			});
		}
	
	 
	owner.login = function(loginInfo, callback) {
		callback = callback || $.noop;
		loginInfo = loginInfo || {};
		loginInfo.account = loginInfo.account || '';
		loginInfo.password = loginInfo.password || '';
	 
		mui.post(
			web_url+"ctrl=sjappnew&action=applogin",
			{
			"uname": loginInfo.account,
			"pwd": loginInfo.password,
			"showtype": "shop"  
			},function(data){
				console.log( JSON.stringify(data) );
				if( data.error == true ){
					callback(data.msg);
				}else{//登录成功
					msg = data.msg;
					owner.setSettings({
						"autoLogin": true,
						"uid": msg.uid,
						"account": loginInfo.account,
						"password": loginInfo.password,
					});
					  
					localStorage.setItem("userInfo", JSON.stringify(msg));
					callback();
					
				 
					
				}
		}, "json");
	};
	
	
	
	/**
	 * 设置店铺营业时间
	 **/
	owner.setshopopeninfo = function(info, callback) {
		callback = callback || $.noop;
		var settings = app.getSettings();
		if (!settings.uid) {
			return callback({"error": true, "msg":"请先登录"});
		} 
		info.uid = settings.uid;
		info.pwd = settings.password;
		mui.post(
			web_url+"ctrl=sjappnew&action=setshopopeninfo",
			info,
			function(data){
				console.log( JSON.stringify(data) );
				
				callback(data);
		}, "json");
		
	};  

	
	/*
	 * 个推key上传
	 */
	owner.appgetui = function(info, callback){
		callback = callback || $.noop;
		
		var settings = app.getSettings();
		if (!settings.uid) {
			return callback({"error": true, "msg":"请先登录"});
		}
		
		info.uid = settings.uid;
		info.pwd = settings.password;
		mui.post(
			web_url+"ctrl=sjappnew&action=appgetui",
			info,
			function(data){
				console.log( JSON.stringify(data) );
				callback(data);
		}, "json");
	}
	
	/**
	 * 首页统计数据
	 **/
	owner.shoptj = function(info, callback) {
		callback = callback || $.noop;
		
		var settings = app.getSettings();
		if (!settings.uid) {
			return callback({"error": true, "msg":"请先登录"});
		}
		
		info.uid = settings.uid;
		info.pwd = settings.password;
		mui.post(
			web_url+"ctrl=sjappnew&action=shoptj",
			info,
			function(data){
					//console.log( JSON.stringify(data) );
			 
					document.getElementById("shopname").innerHTML = info.shopname;
					document.getElementById("data1").innerHTML = info.data1;
					document.getElementById("data2").innerHTML = info.data2;
					document.getElementById("data3").innerHTML = info.data3;
					document.getElementById("data4").innerHTML = info.data4;
					document.getElementById("data5").innerHTML = info.data5;
					document.getElementById("data6").innerHTML = info.data6;
				callback(data);
		}, "json");
		
	};

	/**
	 * 订单列表 
	 */
	
	owner.order = function(info, callback){
		callback = callback || $.noop;
		
		var settings = app.getSettings();
		if (!settings.uid) {
			return callback({"error": true, "msg":"请先登录"});
		}
		
		info.uid = settings.uid;
		info.pwd = settings.password;
		mui.post(
			web_url+"ctrl=sjappnew&action=apporder",
			info,
			function(data){
				console.log( JSON.stringify(data) );
				
				callback(data);
		}, "json");
	}
	
	/**
	 * 操作订单 
	 */
	
	owner.ordercontrol = function(info, callback){
		callback = callback || $.noop;
		
		var settings = app.getSettings();
		if (!settings.uid) {
			return callback({"error": true, "msg":"请先登录"});
		}
		
		if( !info.orderid ){
			return callback({"error": true, "msg":"订单ID不能为空"});
		}
		
		info.uid = settings.uid;
		info.pwd = settings.password;
		mui.post(
			web_url+"ctrl=sjappnew&action=ordercontrol",
			info,
			function(data){
				console.log( JSON.stringify(data) );
				
				callback(data);
		}, "json");
	}
	
	/**
	 * 订单详情
	 * orderid 订单ID
	 **/
	owner.detail = function(info, callback) {
		callback = callback || $.noop;
		
		var settings = app.getSettings();
		if (!settings.uid) {
			return callback({"error": true, "msg":"请先登录"});
		}
		info.uid = settings.uid;
		info.pwd = settings.password;
		mui.post(
			web_url+"ctrl=sjappnew&action=appone",
			info,
			function(data){
				console.log( JSON.stringify(data) );
				
				callback(data);
		}, "json");
	};
	
	/**
	 * 商品分类列表
	 */
	owner.goodstype = function(info, callback){
		callback = callback || $.noop;
		
		var settings = app.getSettings();
		if (!settings.uid) {
			return callback({"error": true, "msg":"请先登录"});
		}
		info.uid = settings.uid;
		info.pwd = settings.password;

		
    		var userinfo = eval("("+localStorage.getItem("userInfo")+")");
    		var shoptype = userinfo.shoptype;
    		
    		var url = "";
    		if(shoptype==0){
    			url = web_url+"ctrl=sjappnew&action=goodstype";
    		}else if(shoptype==1){
    			if(info.ftype){
    				url = web_url+"ctrl=sjappnew&action=MarketTgoodstype";
    			}else{
    				url = web_url+"ctrl=sjappnew&action=MarketFgoodstype";
    			}
    		}
		mui.post(
			url,
			info,
			function(data){
				console.log( JSON.stringify(data) );
				
				callback(data);
		}, "json");
	};
	
	/**
	 * 添加商品分类
	 */
	owner.addgoostype = function(info, callback){
		callback = callback || $.noop;
		
		var settings = app.getSettings();
		if (!settings.uid) {
			return callback({"error": true, "msg":"请先登录"});
		}
		info.uid = settings.uid;
		info.pwd = settings.password;
		
    		var userinfo = eval("("+localStorage.getItem("userInfo")+")");
    		var shoptype = userinfo.shoptype;
    		
    		var url = "";
    		if(shoptype==0){
    			url = web_url+"ctrl=sjappnew&action=addgoostype";
    		}else if(shoptype==1){
    			if(info.ftype){
    				url = web_url+"ctrl=sjappnew&action=addMarketTgoostype";
    			}else{
    				url = web_url+"ctrl=sjappnew&action=addMarketFgoostype";
    			}
    		}
		mui.post(
			url,
			info,
			function(data){
				console.log( JSON.stringify(data) );
				
				callback(data);
		}, "json");
	};
	/**
	 * 删除商品分类
	 */
	owner.delgoostype = function(info, callback){
		callback = callback || $.noop;
		
		var settings = app.getSettings();
		if (!settings.uid) {
			return callback({"error": true, "msg":"请先登录"});
		}
		info.uid = settings.uid;
		info.pwd = settings.password;
		
    		var userinfo = eval("("+localStorage.getItem("userInfo")+")");
    		var shoptype = userinfo.shoptype;
    		
    		var url = "";
    		if(shoptype==0){
    			url = web_url+"ctrl=sjappnew&action=delgoostype";
    		}else if(shoptype==1){
    			if(info.ftype){
    				url = web_url+"ctrl=sjappnew&action=delMarketTgoostype";
    			}else{
    				url = web_url+"ctrl=sjappnew&action=delMarketFgoostype";
    			}
    		}
		mui.post(
			url,
			info,
			function(data){
				console.log( JSON.stringify(data) );
				callback(data);
		}, "json");
	};
	
	/**
	 * 商品列表
	 **/
	owner.goodslist = function(info, callback) {
		callback = callback || $.noop;
		
		var settings = app.getSettings();
		if (!settings.uid) {
			return callback({"error": true, "msg":"请先登录"});
		}
		info.uid = settings.uid;
		info.pwd = settings.password;
		mui.post(
			web_url+"ctrl=sjappnew&action=goodslist",
			info,
			function(data){
				console.log( JSON.stringify(data) );
				
				callback(data);
		}, "json");
	};
	
	/**
	 * 删除商品
	 **/
	owner.delgoos = function(info, callback) {
		callback = callback || $.noop;
		
		var settings = app.getSettings();
		if (!settings.uid) {
			return callback({"error": true, "msg":"请先登录"});
		}
		info.uid = settings.uid;
		info.pwd = settings.password;
		mui.post(
			web_url+"ctrl=sjappnew&action=delgoos",
			info,
			function(data){
				console.log( JSON.stringify(data) );
				
				callback(data);
		}, "json");
	};
	
	/**
	 * 上下架商品
	 **/
	owner.livegood = function(info, callback) {
		callback = callback || $.noop;
		
		var settings = app.getSettings();
		if (!settings.uid) {
			return callback({"error": true, "msg":"请先登录"});
		}
		info.uid = settings.uid;
		info.pwd = settings.password;
		mui.post(
			web_url+"ctrl=sjappnew&action=livegoodone",
			info,
			function(data){
				console.log( JSON.stringify(data) );
				
				callback(data);
		}, "json");
	};
	
	
	/**
	 * 添加商品
	 **/
	owner.addgoos = function(info, callback) {
		callback = callback || $.noop;
		
		var settings = app.getSettings();
		if (!settings.uid) {
			return callback({"error": true, "msg":"请先登录"});
		}
		info.uid = settings.uid;
		info.pwd = settings.password;
		mui.post(
			web_url+"ctrl=sjappnew&action=addgoos",
			info,
			function(data){
				console.log( JSON.stringify(data) );
				
				callback(data);
		}, "json");
	};

	/**
	 * 找回密码
	 **/
	owner.forgetPassword = function(email, callback) {
		callback = callback || $.noop;
		if (!checkEmail(email)) {
			return callback('邮箱地址不合法');
		}
		return callback(null, '新的随机密码已经发送到您的邮箱，请查收邮件。');
	};


	
	/**
	 * 获取结算
	 **/
	owner.tjcxcost = function(info, callback) {
		callback = callback || $.noop;
		var settings = app.getSettings();
		if (!settings.uid) {
			return callback({"error": true, "msg":"请先登录"});
		}
		
		info.uid = settings.uid;
		info.pwd = settings.password;
		mui.post(
			web_url+"ctrl=sjappnew&action=tjcxcost",
			info,
			function(data){
				console.log( JSON.stringify(data) );
				
				callback(data);
		}, "json");
		
	};
	/**
	 * 获取结算log
	 **/
	owner.shopcostlog = function(info, callback) {
		callback = callback || $.noop;
		var settings = app.getSettings();
		if (!settings.uid) {
			return callback({"error": true, "msg":"请先登录"});
		}
		
		info.uid = settings.uid;
		info.pwd = settings.password;
		mui.post(
			web_url+"ctrl=sjappnew&action=shopcostlog",
			info,
			function(data){
				console.log( JSON.stringify(data) );
				
				callback(data);
		}, "json");
		
	};
	/**
	 * 提交提现申请
	 **/
	owner.shoptxadd = function(info, callback) {
		callback = callback || $.noop;
		var settings = app.getSettings();
		if (!settings.uid) {
			return callback({"error": true, "msg":"请先登录"});
		}
		
		info.uid = settings.uid;
		info.pwd = settings.password;
		mui.post(
			web_url+"ctrl=sjappnew&action=shoptxadd",
			info,
			function(data){
				console.log( JSON.stringify(data) );
				
				callback(data);
		}, "json");
		
	};
	
	owner.shopreg = function(info, callback) {
		callback = callback || $.noop;
		var settings = app.getSettings();
		 if (!settings.uid) {
		 //	return callback({"error": true, "msg":"请先登录"});
		 }
		 
		 info.uid = '';
		 info.pwd = '';
		mui.post(
			web_url+"ctrl=sjappnew&action=shopreg",
			info,
			function(data){
				console.log( JSON.stringify(data) );
				
				callback(data);
		}, "json");
		
	};
	
	/**
	 * 单个商品详情
	 **/
	owner.onegoods = function(info, callback) {
		callback = callback || $.noop;
		var settings = app.getSettings();
		if (!settings.uid) {
			return callback({"error": true, "msg":"请先登录"});
		}
		
		info.uid = settings.uid;
		info.pwd = settings.password;
		mui.post(
			web_url+"ctrl=sjappnew&action=onegoods",
			info,
			function(data){
				console.log( JSON.stringify(data) );
				
				callback(data);
		}, "json");
		
	};
	/**
	 * 单个分类详情
	 **/
	owner.typebyid = function(info, callback) {
		callback = callback || $.noop;
		var settings = app.getSettings();
		if (!settings.uid) {
			return callback({"error": true, "msg":"请先登录"});
		}
		
		info.uid = settings.uid;
		info.pwd = settings.password;
		mui.post(
			web_url+"ctrl=sjappnew&action=typebyid",
			info,
			function(data){
				console.log( JSON.stringify(data) );
				
				callback(data);
		}, "json");
		
	};


	/*
	 * 上传商品图片
	 */
	owner.updateimg = function(goodsid, path, callback){
		callback = callback || $.noop;
		var settings = app.getSettings();
		if (!settings.uid) {
			return callback({"error": true, "msg":"nologin"});
		}

		var task=plus.uploader.createUpload(web_url + "ctrl=app&action=updateimg",
			{method:"POST"},
			function(t,status){ //上传完成
				if(status==200){
					console.log( t.responseText );
					var data = eval("("+t.responseText+")");
					
					callback(data);
				}else{
					callback({"error":true, "msg":"网络错误："+status});
				}
			}
		);
		task.addData("uid",settings.uid);
		task.addData("pwd",settings.password);
		task.addData("goodsid",goodsid);
		task.addFile(path,{key:"imgFile"});
		task.start();
	}
/*
	 * 上传店铺logo图片
	 */
	owner.shoplogoupdateimg = function(path, callback){
		console.log("path-------"); 
		console.log(path); 
		callback = callback || $.noop;
		var settings = app.getSettings();
		if (!settings.uid) {
			return callback({"error": true, "msg":"nologin"});
		}

		var task=plus.uploader.createUpload(web_url + "ctrl=sjappnew&action=shoplogoupdateimg",
			{method:"POST"},
			function(t,status){ //上传完成
				if(status==200){
					console.log( t.responseText );
					var data = eval("("+t.responseText+")");
					
					callback(data);
				}else{
					callback({"error":true, "msg":"网络错误："+status});
				}
			}
		);
		task.addData("uid",settings.uid);
		task.addData("pwd",settings.password);
		task.addFile(path,{key:"imgFile"});
		task.start();
	}
	/**
	 * 店铺详情
	 **/
	owner.appshop = function(info, callback) {
		callback = callback || $.noop;
		var settings = app.getSettings();
		if (!settings.uid) {
			return callback({"error": true, "msg":"请先登录"});
		}
		
		info.uid = settings.uid;
		info.pwd = settings.password;
		mui.post(
			web_url+"ctrl=sjappnew&action=appshop",
			info,
			function(data){
				console.log( JSON.stringify(data) );
				
				callback(data);
		}, "json");
		
	};
/**
	 * 发布跑腿
	 **/
	owner.fabupaotui = function(info, callback) {
		callback = callback || $.noop;
		var settings = app.getSettings();
		if (!settings.uid) {
			return callback({"error": true, "msg":"请先登录"});
		}
		
		info.uid = settings.uid;
		info.pwd = settings.password;
		mui.post(
			web_url+"ctrl=sjappnew&action=fabupaotui",
			info,
			function(data){
				console.log( JSON.stringify(data) );
				
				callback(data);
		}, "json");
		
	};
	/**
	 * 修改店铺资料
	 **/
	owner.editshop = function(info, callback) {
		callback = callback || $.noop;
		var settings = app.getSettings();
		if (!settings.uid) {
			return callback({"error": true, "msg":"请先登录"});
		}
		
		info.uid = settings.uid;
		info.pwd = settings.password;
		mui.post(
			web_url+"ctrl=sjappnew&action=editshop",
			info,
			function(data){
				console.log( JSON.stringify(data) );
				
				callback(data);
		}, "json");
		
	};
	/**
	 * 促销列表
	 **/
	owner.shopcxlist = function(info, callback) {
		callback = callback || $.noop;
		var settings = app.getSettings();
		if (!settings.uid) {
			return callback({"error": true, "msg":"请先登录"});
		}
		
		info.uid = settings.uid;
		info.pwd = settings.password;
		mui.post(
			web_url+"ctrl=sjappnew&action=shopcxlist",
			info,
			function(data){
				console.log( JSON.stringify(data) );
				
				callback(data);
		}, "json");
		
	};
	/**
	 * 删除促销
	 **/
	owner.delcx = function(info, callback) {
		callback = callback || $.noop;
		var settings = app.getSettings();
		if (!settings.uid) {
			return callback({"error": true, "msg":"请先登录"});
		}
		
		info.uid = settings.uid;
		info.pwd = settings.password;
		mui.post(
			web_url+"ctrl=sjappnew&action=delcx",
			info,
			function(data){
				console.log( JSON.stringify(data) );
				
				callback(data);
		}, "json");
		
	};
	/**
	 * 销售统计
	 **/
	owner.newshoptj = function(info, callback) {
		callback = callback || $.noop;
		var settings = app.getSettings();
		if (!settings.uid) {
			return callback({"error": true, "msg":"请先登录"});
		}
		
		info.uid = settings.uid;
		info.pwd = settings.password;
		mui.post(
			web_url+"ctrl=sjappnew&action=newshoptj",
			info,
			function(data){
				console.log( JSON.stringify(data) );
				
				callback(data);
		}, "json");
		
	};
	/**
	 * 评论管理
	 **/
	owner.managescommt = function(info, callback) {
		callback = callback || $.noop;
		var settings = app.getSettings();
		if (!settings.uid) {
			return callback({"error": true, "msg":"请先登录"});
		}
		
		info.uid = settings.uid;
		info.pwd = settings.password;
		mui.post(
			web_url+"ctrl=sjappnew&action=managescommt",
			info,
			function(data){
				console.log( JSON.stringify(data) );
				
				callback(data);
		}, "json");
		
	};
	/**
	 * 评论回复
	 **/
	owner.shopreplyping = function(info, callback) {
		callback = callback || $.noop;
		var settings = app.getSettings();
		if (!settings.uid) {
			return callback({"error": true, "msg":"请先登录"});
		}
		
		info.uid = settings.uid;
		info.pwd = settings.password;
		mui.post(
			web_url+"ctrl=sjappnew&action=shopreplyping",
			info,
			function(data){
				console.log( JSON.stringify(data) );
				
				callback(data);
		}, "json");
		
	};
	/**
	 * 设置应用本地配置
	 **/
	owner.setSettings = function(settings) {
		settings = settings || {};
		localStorage.setItem('$settings', JSON.stringify(settings));
	}

	/**
	 * 获取应用本地配置
	 **/
	owner.getSettings = function() {
		var settingsText = localStorage.getItem('$settings') || "{}";
		return JSON.parse(settingsText);
	}
}(mui, window.app = {}));